Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 51)
@@ -1,4 +1,5 @@
 ﻿using System;
+using System.IO;
 using System.Collections.Generic;
 using System.ComponentModel;
 using System.Data;
@@ -25,108 +26,7 @@
 using ProcessManagement.Forms.SubForms;
 namespace ProcessManagement.Forms
 {
-    #region システム共通定義
     /// <summary>
-    /// メニュータブ名前とEnumを関連付けるEnum
-    /// </summary>
-    public enum FrmMenuTabNameEnum
-    {
-        /// <summary>
-        ///  tabPage1:受注管理
-        /// </summary>
-        OrderMenu = 1,
-        /// <summary>
-        ///  tabPage2:施工管理
-        /// </summary>
-        ConstructionMenu,
-        /// <summary>
-        ///  tabPage3:請求管理
-        /// </summary>
-        BillingMenu,
-        /// <summary>
-        ///  tabPage4:BOSSマスタ
-        /// </summary>
-        MentenanceMenu,
-        /// <summary>
-        /// tabPage5:所属長マスタ
-        /// </summary>
-        MentenanceMenu2,
-        /// <summary>
-        /// tabPage6:担当者マスタ
-        /// </summary>
-        MentenanceMenu3,
-        /// <summary>
-        /// tabPage7:社内掲示板
-        /// </summary>
-        MessageBoard,
-        /// <summary>
-        /// tabPage8:工事案件
-        /// </summary>
-        SalesInProjects,
-        /// <summary>
-        /// tabPage9:受注案件
-        /// </summary>
-        ConstructionProjects,
-        /// <summary>
-        /// tabPage10:行動予定
-        /// </summary>
-        ActionSchedule,
-        /// <summary>
-        /// tabPage11:人員配置
-        /// </summary>
-        StaffAssignment,
-        /// <summary>
-        /// tabPage12:売上グラフ
-        /// </summary>
-        SalesGraph,
-        /// <summary>
-        /// tabPage13:増減工事案件
-        /// </summary>
-        FluctuationProjects,
-        /// <summary>
-        /// tabPage14:非受注工事
-        /// </summary>
-        NonOrders,
-        /// <summary>
-        /// tabPage15:完了工事
-        /// </summary>
-        CompletionOfConstruction,
-        /// <summary>
-        /// tabPage16:各種提出書類
-        /// </summary>
-        DocumentsToBeBubmitted,
-        /// <summary>
-        /// tabPage17:入札案件
-        /// </summary>
-        Tenders,
-        /// <summary>
-        /// tabPage18:予算取り案件
-        /// </summary>
-        BudgetUpProjects,
-        /// <summary>
-        /// tabPage19:管理者マスタ
-        /// </summary>
-        MentenanceMenu1,
-        /// <summary>
-        /// tabPage20:秘書からの連絡
-        /// </summary>
-        BusinessMessage,
-        /// <summary>
-        /// tabPage21:書類承認
-        /// </summary>
-        DocumentApproval,
-        /// <summary>
-        /// tabPage22:総務管理
-        /// </summary>
-        Affairs,
-        /// <summary>
-        /// tabPage23:資材管理
-        /// </summary>
-        Materials,
-    }
-    #endregion
-
-    /// <summary>
     /// 工事管理システムメニュー
     /// </summary>
     public partial class FrmMenu : Form
@@ -139,6 +39,87 @@
         #endregion
 
         #region 定数
+        #region メニュータブ名前とEnumを関連付けるEnum
+        /// <summary>
+        /// メニュータブ名前とEnumを関連付けるEnum
+        /// </summary>
+        public enum TabNameEnum
+        {
+            /// <summary>
+            /// tabPage1:秘書からの連絡
+            /// </summary>
+            BusinessMessage = 1,
+            /// <summary>
+            /// tabPage2:社内掲示板
+            /// </summary>
+            MessageBoard,
+            /// <summary>
+            /// tabPage3:承認一覧
+            /// </summary>
+            DocumentApproval,
+            /// <summary>
+            /// tabPage4:工事案件
+            /// </summary>
+            SalesInProjects,
+            /// <summary>
+            /// tabPage5:入札案件
+            /// </summary>
+            Tenders,
+            /// <summary>
+            /// tabPage6:予算取り案件
+            /// </summary>
+            BudgetUpProjects,
+            /// <summary>
+            /// tabPage7:受注工事
+            /// </summary>
+            ConstructionProjects,
+            /// <summary>
+            /// tabPage8:増減工事
+            /// </summary>
+            FluctuationProjects,
+            /// <summary>
+            /// tabPage9:非受注工事
+            /// </summary>
+            NonOrders,
+            /// <summary>
+            /// tabPage10:完了工事
+            /// </summary>
+            CompletionOfConstruction,
+            /// <summary>
+            /// tabPage11:行動一覧
+            /// </summary>
+            ActionSchedule,
+            /// <summary>
+            /// tabPage12:人員配置
+            /// </summary>
+            StaffAssignment,
+            /// <summary>
+            /// tabPage13:売上グラフ
+            /// </summary>
+            SalesGraph,
+            /// <summary>
+            ///  tabPage14:受注管理
+            /// </summary>
+            OrderMenu,
+            /// <summary>
+            ///  tabPage15:施工管理
+            /// </summary>
+            ConstructionMenu,
+            /// <summary>
+            /// tabPage16:総務管理
+            /// </summary>
+            Affairs,
+            /// <summary>
+            /// tabPage17:各種提出書類
+            /// </summary>
+            DocumentsToBeBubmitted,
+            /// <summary>
+            /// tabPage18:BOSSマスタ
+            /// </summary>
+            MentenanceMenu,
+        }
+        #endregion
+
         #region メニュータブと位置を関連付けるEnum
         /// <summary>
         /// メニュータブと位置を関連付けるEnum
@@ -170,11 +151,11 @@
             /// </summary>
             BudgetUpProjects,
             /// <summary>
-            /// 7:受注案件
+            /// 7:受注工事
             /// </summary>
             ConstructionProjects,
             /// <summary>
-            /// 8:増減工事案件
+            /// 8:増減工事
             /// </summary>
             FluctuationProjects,
             /// <summary>
@@ -206,37 +187,17 @@
             /// </summary>
             ConstructionMenu,
             /// <summary>
-            /// 16:資材管理
+            /// 16:総務管理
             /// </summary>
-            Materials,
-            /// <summary>
-            /// 17:請求管理
-            /// </summary>
-            BillingMenu,
-            /// <summary>
-            /// 18:総務管理
-            /// </summary>
             Affairs,
             /// <summary>
-            /// 19:各種提出書類
+            /// 17:各種提出書類
             /// </summary>
             DocumentsToBeBubmitted,
             /// <summary>
-            /// 20:BOSSマスタ
+            /// 18:BOSSマスタ
             /// </summary>
             MentenanceMenu,
-            /// <summary>
-            /// 21:管理者マスタ
-            /// </summary>
-            MentenanceMenu1,
-            /// <summary>
-            /// 22:所属長マスタ
-            /// </summary>
-            MentenanceMenu2,
-            /// <summary>
-            /// 23:担当者マスタ
-            /// </summary>
-            MentenanceMenu3,
         }
         #endregion
 
@@ -262,12 +223,7 @@
                                                                                     {"tabPage15", 15},
                                                                                     {"tabPage16", 16},
                                                                                     {"tabPage17", 17},
-                                                                                    {"tabPage18", 18},
-                                                                                    {"tabPage19", 19},
-                                                                                    {"tabPage20", 20},
-                                                                                    {"tabPage21", 21},
-                                                                                    {"tabPage22", 22},
-                                                                                    {"tabPage23", 23}};
+                                                                                    {"tabPage18", 18}};
         #endregion
 
         #region メッセージグリッドセル定義
@@ -353,11 +309,6 @@
         private static string[] s_VehiicleReservationFixed = new string[] { "　午　前　", "　午　後　" };
 
         /// <summary>
-        /// 曜日文字
-        /// </summary>
-        private static string[] s_DayOfTheWeek = new string[] { "日", "月", "火", "水", "木", "金", "土" };
-
-        /// <summary>
         /// 行動予定固定文字
         /// </summary>
         private static string[] s_ActionSchduleFixed = new string[] { "　予　定　", "　実　績　" };
@@ -409,14 +360,15 @@
         private static int s_StaffAssignDaysLine = 1;
         #endregion
 
-        #region 書類承認グリッドセルカウント
+        #region 承認グリッドセルカウント
         /// <summary>
-        /// 書類承認グリッドセルカウント
+        /// 承認グリッドセルカウント
         /// </summary>
         private enum DocumentApprovalGridCount
         {
             ConstructionCode = 0,
             ApprovalCode,
+            OrderNo,
             DisplayNo,
             ConstructionName,
             ApprovalName,
@@ -429,10 +381,223 @@
             ApprovalPerson4,
         }
         #endregion
+
+        #region マスタメンテボタン配列
+        /// <summary>
+        /// マスタメンテボタン配列
+        /// </summary>
+        private const int s_MentenanceRowHeight = 44;
         #endregion
 
+        #region 旧セキュリティメンテメニュー関連
+        /// <summary>
+        /// 旧セキュリティカラー表示
+        /// </summary>
+        Color[] OldMentenanceColor = new Color[] { Color.White, Color.Blue, Color.FromArgb(255, 128, 128), Color.FromArgb(255, 255, 128), Color.FromArgb(128, 255, 255) };
+
+        private static int[,] DspMentenance1 = new int[,] { { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, { 1, 1, 1, 1 }, };
+        private static int[,] DspMentenance2 = new int[,] { { 0, 0, 0, 1 }, { 0, 1, 1, 0 }, { 1, 0, 1, 0 }, { 1, 1, 1, 0 }, { 1, 1, 1, 1 }, { 0, 1, 0, 1 }, { 0, 1, 0, 0 }, { 0, 0, 0, 0 }, };
+        private static int[,] DspMentenance3 = new int[,] { { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 1, 0, 1, 0 }, { 1, 1, 1, 0 }, { 0, 1, 1, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, };
+        private static int[,] DspMentenance4 = new int[,] { { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 1, 0, 1, 0 }, { 1, 1, 1, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, };
+        #endregion
+
+        #region 受注管理ボタン名前固定部
+        /// <summary>
+        /// 受注管理ボタン名前固定部
+        /// </summary>
+        private const string s_btnOrder = "btnOrder";
+        #endregion
+
+        #region 受注管理メニューボタン配置
+        /// <summary>
+        /// 受注管理メニューボタン配置
+        /// </summary>
+        private static int[,] OrderMenuButton = new int[,] {
+                                                            {(int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo,
+                                                                0,
+                                                                0
+                                                            },
+                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateInput,
+                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                (int)ClsExcute.ProcessExecuteNo.EstimatePrint
+                                                            },
+                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateBudget,
+                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                0
+                                                            },
+        };
+        #endregion
+
+        #region 施工管理ボタン名前固定部
+        /// <summary>
+        /// 施工管理ボタン名前固定部
+        /// </summary>
+        private const string s_btnConstrction = "btnConstruction";
+        #endregion
+
+        #region 施工管理メニューボタン配置
+        /// <summary>
+        /// 施工管理メニューボタン配置
+        /// </summary>
+        private static int[,] ConstructionMenuButton = new int[,] {
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList,                   
+                                                                        (int)ClsExcute.ProcessExecuteNo.DRList,
+                                                                        0,
+                                                                        (int)ClsExcute.ProcessExecuteNo.TAndPCosts,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionBudget,
+                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry,
+                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                        (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.RequestSummaryList,
+                                                                        (int)ClsExcute.ProcessExecuteNo.RequestSummaryList,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    }
+        };
+        #endregion
+
+        #region マスタメンテナンスメニューボタン配置
+        /// <summary>
+        /// マスタメンテナンスメニューボタン配置
+        /// </summary>
+        private static int[,] MentenanceMenuButton = new int[,] {
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.System,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.Security,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.TermMaster
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.Department,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.PersonInCharge,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.AlwaysEmployment,
+                                                                    0
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.Orderers,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ConstructionType,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.Suppliers,
+                                                                    0
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.SubContractor,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.SubContractorItem,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.SubContractorJobCategory,
+                                                                    0
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.Component,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ConstructionItem,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ConstructionWork,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ComponentLink
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.BusinessType,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.OrderDivision,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.ConstructionExpenses,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.Unit
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.Calender,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.VehicleMaster,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.MaterialKind,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.MaterialItem
+                                                                },
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.SaleSalesGraphData,
+                                                                    0,
+                                                                    0,
+                                                                    0
+                                                                },
+        };
+        #endregion
+
+        #region 初期時システム更新ステータス
+        /// <summary>
+        /// 初期時システム更新ステータス
+        /// </summary>
+        private enum SystemUpdate
+        {
+            /// <summary>
+            /// 更新無通常起動
+            /// </summary>
+            ExecNormal = 0,
+            /// <summary>
+            /// 更新処理起動
+            /// </summary>
+            ExecUpdate,
+            /// <summary>
+            /// 異常時終了
+            /// </summary>
+            Abort,
+        }
+        #endregion
+
+        #endregion
+
         #region 変数
         /// <summary>
+        /// 起動チェックパラメータ（true:更新チェックあり、false:更新チェック無し）
+        /// </summary>
+        private bool m_KidouCheck = true;
+        /// <summary>
         /// ログイン時終了フラグ
         /// </summary>
         private bool m_LoginEndFlg = false;
@@ -489,7 +654,7 @@
         /// <summary>
         /// 人員配置月・初期フラグ
         /// </summary>
-        private bool m_bStaffAssignInitFlg = true;
+        //private bool m_bStaffAssignInitFlg = true;
         
         /// <summary>
         /// ソートカラム位置
@@ -527,6 +692,10 @@
         private int[,] m_CellSize;
         #endregion
 
+        /// <summary>
+        /// マスタメンテボタン配列
+        /// </summary>
+        private List<Button> m_MentenanceButton = new List<Button>();
         #endregion
 
         #region コンストラクタ
@@ -533,8 +702,16 @@
         /// <summary>
         /// コンストラクタ
         /// </summary>
-        public FrmMenu()
+        public FrmMenu(string sKidouParam)
         {
+            if (CommonDefine.s_KIDOU_PARAM != sKidouParam)
+            {
+                m_KidouCheck = true;
+            }
+            else
+            {
+                m_KidouCheck = false;
+            }
             InitializeComponent();
             logger.Info("Start Process Management System");
         }
@@ -619,9 +796,9 @@
         }
         #endregion
 
-        #region フォームロード初期表示
+        #region フォームロード
         /// <summary>
-        /// フォームロード初期表示
+        /// フォームロード
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -635,6 +812,17 @@
                 // エラーログファイル削除
                 ClsCleanUp.CleanLogFile();
 
+                // 初期時システム更新確認処理
+                if(m_KidouCheck)
+                {
+                    if (SystemUpdate.ExecNormal != InitUpdateProc())
+                    {
+                        m_LoginEndFlg = true;
+                        this.Close();
+                        return;
+                    }
+                }
+
                 // タブコントロールをオーナードローへ変更
                 tabMenu.DrawMode = TabDrawMode.OwnerDrawFixed;
 
@@ -668,6 +856,87 @@
         }
         #endregion
 
+        #region 初期時システム更新確認
+        /// <summary>
+        /// 初期時システム更新確認
+        /// </summary>
+        /// <returns></returns>
+        private SystemUpdate InitUpdateProc()
+        {
+            IOSystemExecute SysExecDB = new IOSystemExecute();
+            try
+            {
+                // 本環境のみコピープロセス実行
+                if (!CommonMotions.ProductionExecution) return SystemUpdate.ExecNormal;
+
+                // システムのバージョンをチェックする
+                // キーを取得する
+                int PCode = CommonDefine.ExePrimaryCode.First(x => x.Value.Equals("システムバージョン")).Key;
+                
+                // バージョン読込
+                string strSQL = SysExecDB.CreatePrimarykeyString(PCode);
+                SystemExecute recordRec = new SystemExecute();
+                if (!SysExecDB.SelectAction(strSQL, ref recordRec))
+                {   // レコード無時はエラー
+                    logger.ErrorFormat("バージョンチェックデータ読込みエラー：{0}", CommonMotions.GetMethodName());
+                    return SystemUpdate.Abort;
+                }
+
+                // コピー・環境の更新確認
+                if (recordRec.UpDateCopyVersion > CommonVersion.s_UpDateCopyVersion)
+                {
+                    // コピー機能の更新
+                    ClsUpDate.UpdateAndEnvFileCopy();
+
+                    // 本体更新が無い場合は再起動
+                    if (recordRec.SystemVersion == CommonVersion.s_SystemVersion)
+                    {
+                        m_LoginEndFlg = true;
+                        Application.Restart();
+                        return SystemUpdate.ExecUpdate;
+                    }
+                }
+
+                // 本体更新の確認
+                if (recordRec.SystemVersion > CommonVersion.s_SystemVersion)
+                {
+                    // 本体・環境更新を起動する
+                    string ExecProc = System.Environment.CurrentDirectory + "\\" + CommonDefine.s_UPDATECOPY_NAME;
+                    if (File.Exists(ExecProc))
+                    {
+                        m_LoginEndFlg = true;
+                        Process p = Process.Start(ExecProc);
+                        return SystemUpdate.ExecUpdate;
+                    }
+                }
+
+                return SystemUpdate.ExecNormal;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return SystemUpdate.Abort;
+            }
+            finally
+            {
+                SysExecDB.close(); SysExecDB = null;
+            }
+        }
+        #endregion
+
+        #region 初期画面表示時アクション
+        /// <summary>
+        /// 初期画面表示時アクション
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMenu_Shown(object sender, EventArgs e)
+        {
+            // 未承認データ確認
+            CheckApprovalData();
+        }
+        #endregion
+
         #region 画面サイズ変更
         /// <summary>
         /// 画面サイズ変更
@@ -729,7 +998,7 @@
             int Tabcount = MenuTabName[wrkname];
             switch (Tabcount)
             {
-                case (int)FrmMenuTabNameEnum.MentenanceMenu:
+                case (int)TabNameEnum.MentenanceMenu:
                     pnlMaster01.Focus();
                     break;
             }
@@ -751,8 +1020,8 @@
 
                 DataGridViewRow wrkRow = dgv.CurrentRow;
 
-                int iGridCnt = (int)FrmMenuTabNameEnum.MessageBoard;
-                if (dgv.Name.Equals(dgvBusinessMessage.Name)) iGridCnt = (int)FrmMenuTabNameEnum.BusinessMessage;
+                int iGridCnt = (int)TabNameEnum.MessageBoard;
+                if (dgv.Name.Equals(dgvBusinessMessage.Name)) iGridCnt = (int)TabNameEnum.BusinessMessage;
 
                 // メッセージ作成
                 if (!MessageCreate(iGridCnt, true)) return;
@@ -784,12 +1053,12 @@
         private void btnMessageEntry_Click(object sender, EventArgs e)
         {
             // 新規メッセージ作成
-            MessageCreate((int)FrmMenuTabNameEnum.MessageBoard);
+            MessageCreate((int)TabNameEnum.MessageBoard);
 
             // 表示行退避
             int iIndex = dgvMessageBoard.FirstDisplayedScrollingRowIndex;
             // 掲示板再表示
-            DispMessageBoard((int)FrmMenuTabNameEnum.MessageBoard);
+            DispMessageBoard((int)TabNameEnum.MessageBoard);
             // 表示行復元
             dgvMessageBoard.FirstDisplayedScrollingRowIndex = iIndex;
         }
@@ -867,7 +1136,7 @@
                 int iConstructionCode = CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)MenuGridCount.ConstructionCode].Value);
 
                 // 起動資格の確認
-                bExecFlg = ClsSecurityPermission.ConstructionDataAccessPermission(iConstructionCode);
+                bExecFlg = ClsSecurityPermission.PersonDataAccess(iConstructionCode);
 
                 // 総務部所属者は工事基本情報の全データを対象にできるただし参照のみ
                 if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision) bExecFlg = true;
